Cookies op Tweakers

Tweakers maakt gebruik van cookies, onder andere om de website te analyseren, het gebruiksgemak te vergroten en advertenties te tonen. Door gebruik te maken van deze website, of door op 'Ga verder' te klikken, geef je toestemming voor het gebruik van cookies. Je kunt ook een cookievrije versie van de website bezoeken met minder functionaliteit. Wil je meer informatie over cookies en hoe ze worden gebruikt, bekijk dan ons cookiebeleid.

Meer informatie

Door , , reacties: 21, views: 8.622 •
Bron: CentOS, submitter: alm

CentOS logo (75 pix)Vrijdag is versie 5.5 van CentOS beschikbaar gekomen. Dit opensource besturingssysteem is gebaseerd op Red Hat Enterprise Linux en profileert zich voor gebruik in enterprise omgevingen. CentOS staat dan ook voor Community ENTerprise Operating System. In tegenstelling tot RHEL is CentOS wel gratis te gebruiken. De volledige release notes voor versie 5.5 zijn op deze pagina te vinden, dit is de introductie daaruit:

Introduction
Welcome to the CentOS 5.5 release. CentOS is an Enterprise-class Linux Distribution derived from sources freely provided to the public by our Upstream OS Provider (UOP).

CentOS conforms fully with the upstream vendors redistribution policy and aims to be 100% binary compatible. (CentOS mainly changes packages to remove upstream vendor branding and artwork.) CentOS is a Free Operating System.

CentOS 5.5 is the fifth update to the CentOS 5 distribution series. It contains a lot of bugfixes, updates and new functionality. Before reading any further we advise you to read the UOP Release Notes (or Single Page Release Notes) and Technical Notes (or Single Page Technical Notes). The rest of this document is an addendum and primarily covers CentOS-specific issues.

CentOS screenshot (481 pix)

Reacties (21)

IK ben benieuwd wanneer mijn Virtualmin webservertje gaat aangeven dat er geupdate kan worden van 5.4 naar 5.5.
Doet 'ie toch automagisch dankzij yum-updatesd...?
Yay! Samba toegevoegd... Handug.
Dat zat er al even in hoor, er is alleen een nieuwere versie gebruikt die compatible is met Windows 7.
http://www.centos.org/doc...elease-notes/ar01s08.html

Staat hier aangegeven als een toegevoegd pakket, maar zat het er al langer in? Nog niet gemerkt tbh.
Nee samba3x is nu toegevoegd.
The Samba3x package set was originally introduced in the x86_64 Supplementary for the 5.4 release. In Red Hat Enterprise Linux 5.5, Samba3x has been updated and is now supported on all architectures. Samba3x includes support for Microsoft® Windows™ 7 interoperability.
samba3x is versie 3.3
maar je kan nog gewoon de default samba blijven draaien (versie 3.0)
Gisteren mijn server geupdate met CentOS 5.5. Alleen jammer dat men nog steeds zo vast zit aan de oudere versies van sommige software. Maar dat is zo opgelost met een paar Google zoekopdrachten ;)
Je bedoelt 'bewezen versies van software' ;-)
Dat is wel wat je krijgt met Enterprise software natuurlijk, die lopen vaak wat 'achter' zodat je je compatibility behoudt (er is natuurlijk niks frusterender voor een bedrijf als ze door een veredelde library update hun thuisgeschreven software ermee stopt (wat natuurlijk eerst getest moest worden).

Ik heb hem zelf thuis ook draaien (1 host, met 5 KVM virtuele machines). Voor sommige van die virtuele machines heb ik inderdaad EPEL en/of rpmforge erbij gezet zodat ik toch nog PHP5 enzo heb.

Het fijne van deze distro blijft voor mij, dat ie zo stabiel is, en redelijk no nonsence is. (wat hem voor de meeste mensen ongeschikt maakt voor bijvoorbeeld een desktop, omdat je daar toch vaak wel latere versies van (bijvroorbeeld) python enzo wil hebben.
Mocht je dan toch een desktop uit de zelfde 'keuken' willen gebruiken dan kun je natuurlijk gewoon overstappen naar of beginnen bij Fedora, de speeltuin van RedHat / CentOS waar wel gepoogd word om zo veel mogelijk bij te zijn (en soms zelfs nét iets verder - wat sommige mensen juist weer een nadeel vinden maar persoonlijk houd ik daar wel van). :)

[edit] tekst iets uitgebreid.

[Reactie gewijzigd door E-B op 16 mei 2010 11:34]

Ja, inderdaad. Dat is dan een (goede) optie.

(en even off-topic) Persoonlijk vind ik Linux voor de Desktop nog altijd een beetje onder de maat. Ik wil mijn desktop altijd 'gewoon kunnen gebruiken' - Geen gezeur.

Zaken als geen DRM-ondersteuning (ik wil gewoon al m'n meuk kunnen afspelen), vage depenencies (zie hieronder), gebrekkige goede support op fora (with all due respect, maar het is meestal zo dat als het verder gaat dan een package installeren, of een gedocumenteerde setting veranderen, dat je dan de opmerking krijgt "Ja, dat moet je ook niet willen, of waarom zou je dat willen" (ik spreek uit gefrustreerde ervaring), en de support voor moderne hardware is vaak onder de maat.
En het aller belangrijkste. Games :+ . Ik vind dat er nog te weinig gewoon 'out of the box' werkt onder Linux.

Dit is allemaal natuurlijk niet de schuld van de Linuxboeren zelf en heeft meer te maken met derden, maar het is voor mij in elk geval reden om het niet om m'n werkstation te hebben.

[Reactie gewijzigd door lenwar op 16 mei 2010 12:25]

Zaken als geen DRM-ondersteuning
Dat zijn beslissingen die elke distro voor zichzelf neemt. Er zijn genoeg distros te vinden die wel met verschillende DRM formaten om kunnen gaan. Daarnaast kan het ook niet altijd. Als de fabrikant geen specs vrijgeeft dan zijn niet alle vormen van DRM zomaar te implementeren.
en de support voor moderne hardware is vaak onder de maat.
Niet altijd. Linux is vaak de eerste om nieuwe technieken te implementeren. Zowel op hard- en softwaregebied loopt men vaak voorop.

En bij een workstation horen geen games. Das meer voor een game PC. Een workstation hoort gewoon je dagdagelijkse software te draaien met zo min mogelijk gepruts om continue je werk te kunnen doen.
Niet om de discussie aan te gaan, want dat heeft geen nut. Maar toch even happen: :)

Ik geef zelf al aan dat de distros er vaak niks aan kunnen doen (dus dat het bij derden is (over DRM enzo))

Ik schrijf nadrukkelijk: "voor mij" is het de reden om het niet op m'n werkstation te hebben. Op mijn werkstation game ik namelijk ook. Ik wil niet 2 computers hebben (één om mee te gamen, en één voor de overige zaken). Dat is mijn persoonlijke situatie/wens.

Als iemand een computer gebruikt, en dat Linux aan al zijn/haar eisen voldoet, dan is dat mooi. Bij mij is dat (nog) niet zo.

En hardware support is afhankelijk van de hardware boeren (ook weer iets waar ik het Linux systeem niet op aanspreek):
Een paar voorbeeldjes:
- Heb je een G19 keyboard van Logitech, doet je displaytje het niet.
- Ik heb zo'n GPS-gevalletje waarop je thuis je foto's op Google Maps kan syncen (dus dat je ziet, waar je hoelaat een foto hebt gemaakt). Geen Linux ondersteuning van de hardware boer.
- Mijn netwerkkaart in m'n thuisservertje doet het ondertussen wel al een tijdje goed, maar toen die chipset net uit was (ik had toen een nieuw model moederbord), duurde het wel meer dan een jaar voordat ik een stabiele gigaspeed verbinding had. De Windows drivers werkte wel gewoon in één keer goed. (ook weer een keus van de hardware boer)
- Mijn (ondertussen oude) scanner heeft het nooit goed gedaan
- Mijn printer werkt alleen als standaard lineprinter
The list goes on and on :)

Misschien heb ik gewoon pech met m'n hardware keuze. Voor mijn Windows desktop hoef ik er nooit over na te denken.


Het wordt overigens de laatste jaren wel beter, maar naar mijn mening is het nog steeds onder de maat voor mijn wensen. (het kost de derde partijen gewoon wat moeite om er aan te wennen dat er ook mensen zijn die hun spullen op Linux willen gebruiken denk ik dan maar)
Psst. Ik moet je iets verklappen. CentOS is geen desktop distributie!
Psst, Dat weten wij allemaal ook wel, dat dat niet de insteek is van een Enterprise Linux MAAR kijk is voor de grap naar de standaard meegeleverde software op de DVD:

Browsers,
Media players
Wifi-support
3D acceleratie
Een howto op de site over hoe je het op een laptop moet zetten
Een howto op de site over hoe je Skype moet installeren
Een kopje "Desktop tips" op de site


Klinkt toch wel heel erg desktoppig allemaal (in meer of mindere mate natuurlijk (zoals browsers kunnen erg praktisch zijn voor op een servertje))

(Buiten dat had ik het over "Linux op de desktop" - Niet "CentOS op de desktop" ;))
Ook weer een fijne nieuwe feature:
root@melora ~ # yum erase poppler
Loaded plugins: fastestmirror
Repository remi is listed more than once in the configuration
Repository remi-test is listed more than once in the configuration
Setting up Remove Process
Resolving Dependencies
--> Running transaction check
---> Package poppler.x86_64 0:0.5.4-4.4.el5_4.11 set to be erased
--> Processing Dependency: libpoppler.so.1()(64bit) for package: poppler-utils
--> Processing Dependency: poppler = 0.5.4-4.4.el5_4.11 for package: poppler-utils
--> Running transaction check
---> Package poppler-utils.x86_64 0:0.5.4-4.4.el5_4.11 set to be erased
--> Processing Dependency: poppler-utils for package: cups
--> Running transaction check
---> Package cups.x86_64 1:1.3.7-18.el5 set to be erased
--> Processing Dependency: /usr/bin/lp for package: redhat-lsb
--> Processing Dependency: /usr/bin/lp for package: redhat-lsb
--> Processing Dependency: /usr/bin/lpr for package: redhat-lsb
--> Processing Dependency: /usr/bin/lpr for package: redhat-lsb
--> Running transaction check
---> Package redhat-lsb.i386 0:3.1-12.3.EL.el5.centos set to be erased
---> Package redhat-lsb.x86_64 0:3.1-12.3.EL.el5.centos set to be erased
--> Finished Dependency Resolution

Dependencies Resolved

===========================================================================================================================================================================================================================================
Package Arch Version Repository Size
===========================================================================================================================================================================================================================================
Removing:
poppler x86_64 0.5.4-4.4.el5_4.11 installed 8.6 M
Removing for dependencies:
cups x86_64 1:1.3.7-18.el5 installed 9.1 M
poppler-utils x86_64 0.5.4-4.4.el5_4.11 installed 163 k
redhat-lsb i386 3.1-12.3.EL.el5.centos installed 22 k
redhat-lsb x86_64 3.1-12.3.EL.el5.centos installed 22 k

Transaction Summary
===========================================================================================================================================================================================================================================
Remove 5 Package(s)
Reinstall 0 Package(s)
Downgrade 0 Package(s)

Is this ok [y/N]: n


Een pdf-renderer die je niet kan verwijderen :-S (want eigenlijk wil ik redhat-lsb niet kwijt)
Vreemd dat de lsb verwijderd word, net zoals cups. Het kan natuurlijk zijn dat deze packages gevlagd zijn als zijnde meegeïnstalleerd met poppler en dat voor zover yum kan zien er geen andere pakketten meer zijn die hier gebruik van maken.

Maar kan je de rpm niet manueel verwijderen?
Ja, uiteraard kan dat wel, maar dan heb ik broken dependencies, en daar ben ik dan net weer te trots voor ;) (principe kwestie)

lsb heeft als dependency cups (die ik niet gebruik), daar zit voornamelijk het probleem volgens mij bij dit. Het zit me an sich niet in de weg hoor, maar het is wel een beetje vaag imho.

Maar Centos/Red Hat zal vast wel een hele goede rede hebben om /usr/bin/lp als dependency voor lsb te hebben :Y) (our distro-builders work in mysterious ways)
Dan installeer je redhat-lsb daarna toch weer ;)
En dan krijg je met dependancy-resolving weer netjes cups en poppler erbij ;)
Categorie bezigheidstherapie? :p
Uiteraard is cups afhankelijk van libpoppler. Met cups kun je documenten ook "printen" naar PDF...
Dat wist ik niet, daar kan ik me dan nog in vinden. Dan is het nog wel een beetje jammer dat ik het niet kan weggooien omdat lsb weer gekoppeld is aan cups :?

Maar enfin. Het staat verder niet echt in de weg natuurlijk, ik vind het alleen een beetje jammer.

Op dit item kan niet meer gereageerd worden.



Populair:Apple iPhone 6Samsung Galaxy Note 4Apple iPad Air 2FIFA 15Motorola Nexus 6Call of Duty: Advanced WarfareApple WatchWorld of Warcraft: Warlords of Draenor, PC (Windows)Microsoft Xbox One 500GBSamsung

© 1998 - 2014 Tweakers.net B.V. Tweakers is onderdeel van De Persgroep en partner van Computable, Autotrack en Carsom.nl Hosting door True

Beste nieuwssite en prijsvergelijker van het jaar 2013